dim-methods {PivotalR} | R Documentation

## Dimension of a table

### Description

Display the dimension of the table that a `db.table` object points to.

### Usage

    ## S4 method for signature 'db.table'
    dim(x)

    ## S4 method for signature 'db.view'
    dim(x)

    ## S4 method for signature 'db.Rquery'
    dim(x)

### Arguments

`x` | A `db.obj`. Only for `db.table` object, this function gives the dimension of table that `x` points to. For `db.view` and `db.Rquery` objects, an error message is raised.

### Value

A two-integer array, where the first integer is the number of rows and the second integer is the number of columns.

### Author(s)

Author: Predictive Analytics Team at Pivotal Inc.

Maintainer: Frank McQuillan, Pivotal Inc. fmcquillan@pivotal.io

### See Also

`db.obj`, `db.data.frame`, `db.table`, `db.view`, `db.Rquery` are the class hierarchy structure of this package.

### Examples

    ## Not run:

    ## set up the database connection
    ## Assume that .port is port number and .dbname is the database name
    cid <- db.connect(port = .port, dbname = .dbname, verbose = FALSE)

    ## create a table from the example data.frame "abalone"
    delete("abalone", conn.id = cid)
    x <- as.db.data.frame(abalone, "abalone", conn.id = cid, verbose = FALSE)
    ## preview of a table
    lk(x, nrows = 10) # extract 10 rows of data

    ## get names of all columns
    dim(x)

    dim(x[,1:3])

    db.disconnect(cid, verbose = FALSE)

    ## End(Not run)

[Package PivotalR version 0.1.18.3.1 Index]